Debian Bug report logs - #644691
postr: Please transition to nautilus 3 and GObject introspection

version graph

Package: postr; Maintainer for postr is David Paleino <dapal@debian.org>; Source for postr is src:postr.

Reported by: joss@debian.org

Date: Sat, 8 Oct 2011 09:51:34 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version postr/0.12.4-2

Fixed in version postr/0.12.4-2.1

Done: Ehud Meiri <ehudm@pulkes.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to David Paleino <dapal@debian.org>:
Bug#644691; Package postr. (Sat, 08 Oct 2011 09:51:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to joss@debian.org:
New Bug report received and forwarded. Copy sent to David Paleino <dapal@debian.org>. (Sat, 08 Oct 2011 09:51:39 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: joss@debian.org
To: maintonly@bugs.debian.org
Subject: postr: Please transition to nautilus 3 and GObject introspection
Date: Sat, 08 Oct 2011 11:46:42 +0200
Package: postr
Version: 0.12.4-2
Severity: important
User: pkg-gnome-maintainers@lists.alioth.debian.org
Usertags: nautilus3-transition

Hi,

this package currently depends on python-nautilus - most likely because 
it provides an extension for the nautilus file manager.

The introduction of nautilus 3 to unstable is imminent. In this version, 
the extensions interface has changed, and postr
requires changes to support this version:
 * porting to GTK+ 3
 * porting from PyGTK to the GObject Introspection mechanism

You might want to check if upstream developers provide a new version, 
compatible with nautilus 3.x. Otherwise, porting is a feasible task if 
you have a few hours to spare. If you feel like it, the following guides 
should help you:
 * http://live.gnome.org/PyGObject/IntrospectionPorting
 * http://developer.gnome.org/gtk3/stable/gtk-migrating-2-to-3.html

nautilus 3 packages are available from experimental. Please update and 
test your package against this version and ideally upload it to 
experimental, too.

Packages that remain unported will have to be removed from testing 
eventually.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-





Severity set to 'serious' from 'important' Request was from Jordi Mallach <jordi@debian.org> to control@bugs.debian.org. (Thu, 13 Oct 2011 18:30:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#644691; Package postr. (Thu, 13 Oct 2011 18:39:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jordi Mallach <jordi@debian.org>:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Thu, 13 Oct 2011 18:39:46 GMT) Full text and rfc822 format available.

Message #12 received at 644691@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 644980@bugs.debian.org, 637312@bugs.debian.org, 637320@bugs.debian.org, 637329@bugs.debian.org, 637314@bugs.debian.org, 637318@bugs.debian.org, 637327@bugs.debian.org, 637321@bugs.debian.org, 644694@bugs.debian.org, 637323@bugs.debian.org, 637316@bugs.debian.org, 637324@bugs.debian.org, 644697@bugs.debian.org, 637309@bugs.debian.org, 644695@bugs.debian.org, 644979@bugs.debian.org, 637317@bugs.debian.org, 637311@bugs.debian.org, 644691@bugs.debian.org, 644692@bugs.debian.org, 644689@bugs.debian.org, 644696@bugs.debian.org, 637319@bugs.debian.org, 637328@bugs.debian.org, 637313@bugs.debian.org, 637325@bugs.debian.org, 644693@bugs.debian.org, 637310@bugs.debian.org, 637330@bugs.debian.org, 637322@bugs.debian.org, 644690@bugs.debian.org, 637315@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Nautilus transition started; please upload to unstable
Date: Thu, 13 Oct 2011 20:27:21 +0200
severity 644980 serious
severity 637312 serious
severity 637320 serious
severity 637329 serious
severity 637314 serious
severity 637318 serious
severity 637327 serious
severity 637321 serious
severity 644694 serious
severity 637323 serious
severity 637316 serious
severity 637324 serious
severity 644697 serious
severity 637309 serious
severity 644695 serious
severity 644979 serious
severity 637317 serious
severity 637311 serious
severity 644691 serious
severity 644692 serious
severity 644689 serious
severity 644696 serious
severity 637319 serious
severity 637328 serious
severity 637313 serious
severity 637325 serious
severity 644693 serious
severity 637310 serious
severity 637330 serious
severity 637322 serious
severity 644690 serious
severity 637315 serious
thanks

Hi!

The GNOME 3 transition has started, and fixing all nautilus extensions is
now release critical.

Please upload a GTK+3 version of your package to unstable as soon as
possible, or ask for help in debian-gtk-gnome@lists.debian.org if any
problem arises.

Thanks!

Jordi, on behalf of the GNOME team.
-- 
Jordi Mallach Pérez  --  Debian developer     http://www.debian.org/
jordi@sindominio.net     jordi@debian.org     http://www.sindominio.net/
GnuPG public key information available at http://oskuro.net/




Added tag(s) sid and wheezy. Request was from Gerfried Fuchs <rhonda@debian.org> to control@bugs.debian.org. (Wed, 08 Feb 2012 08:03:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#644691; Package postr. (Fri, 03 Aug 2012 20:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Hansen <tobias.han@gmx.de>:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Fri, 03 Aug 2012 20:06:03 GMT) Full text and rfc822 format available.

Message #19 received at 644691@bugs.debian.org (full text, mbox):

From: Tobias Hansen <tobias.han@gmx.de>
To: 644691@bugs.debian.org
Cc: dapal@debian.org
Subject: Re: postr: Please transition to nautilus 3 and GObject introspection
Date: Fri, 03 Aug 2012 22:05:32 +0200
Hi,

the last postr version is from 2009, so we can't expect an update from
upstream. But this bug is pretty easy to fix:

Remove
/usr/lib/nautilus/extensions-1.0/python/postrExtension.py
and
/usr/lib/nautilus/extensions-2.0/python/postrExtension.py
from the package and remove the python-nautilus dependency.

What do you think David?

Best regards,
Tobias Hansen



Information forwarded to David Paleino <dapal@debian.org>:
Bug#644691; Package postr. (Sat, 08 Sep 2012 18:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ehud Meiri <ehudm@pulkes.org>:
Extra info received and forwarded to maintainer. Copy sent to David Paleino <dapal@debian.org>. (Sat, 08 Sep 2012 18:03:09 GMT) Full text and rfc822 format available.

Message #24 received at 644691-maintonly@bugs.debian.org (full text, mbox):

From: Ehud Meiri <ehudm@pulkes.org>
To: joss@debian.org, 644691-maintonly@bugs.debian.org
Subject: Re: Bug#644691: postr: Please transition to nautilus 3 and GObject introspection
Date: Sat, 8 Sep 2012 18:44:17 +0100
[Message part 1 (text/plain, inline)]
Hi,

Here's a patch that removes the python-nautilus dependency.

- Ehudw

[diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 08 Sep 2012 18:21:03 GMT) Full text and rfc822 format available.

Information forwarded to David Paleino <dapal@debian.org>:
Bug#644691; Package postr. (Sat, 08 Sep 2012 18:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to maintainer. Copy sent to David Paleino <dapal@debian.org>. (Sat, 08 Sep 2012 18:24:05 GMT) Full text and rfc822 format available.

Message #31 received at 644691-maintonly@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Ehud Meiri <ehudm@pulkes.org>, 644691-maintonly@bugs.debian.org
Subject: Re: Bug#644691: postr: Please transition to nautilus 3 and GObject introspection
Date: Sat, 8 Sep 2012 20:21:16 +0200
[Message part 1 (text/plain, inline)]
On Sat, 08 Sep 2012 18:44:17 +0100, Ehud Meiri wrote:

> Here's a patch that removes the python-nautilus dependency.

I guess the long description also needs an update, it says:

 It is integrated with Nautilus: you can either run postr when you are
 browsing your photos or just drag them from Nautilus to drop them in Postr.

Does the package make sense without nautilus?
(Just asking, I don't know more than what's in the package
description :))


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Kurt Ostbahn & Die Kombo: Scho komisch wia schnö die Zeit vageht
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#644691; Package postr. (Sat, 08 Sep 2012 18:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martín Ferrari <tincho@debian.org>:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Sat, 08 Sep 2012 18:27:04 GMT) Full text and rfc822 format available.

Message #36 received at 644691@bugs.debian.org (full text, mbox):

From: Martín Ferrari <tincho@debian.org>
To: 644691@bugs.debian.org
Subject: NMU
Date: Sat, 8 Sep 2012 19:24:37 +0100
Hi,

I've sponsored the NMU. Uploaded to DELAYED/3 queue.

-- 
Martín Ferrari



Information forwarded to David Paleino <dapal@debian.org>:
Bug#644691; Package postr. (Mon, 10 Sep 2012 02:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martín Ferrari <martin.ferrari@gmail.com>:
Extra info received and forwarded to maintainer. Copy sent to David Paleino <dapal@debian.org>. (Mon, 10 Sep 2012 02:03:04 GMT) Full text and rfc822 format available.

Message #41 received at 644691-maintonly@bugs.debian.org (full text, mbox):

From: Martín Ferrari <martin.ferrari@gmail.com>
To: gregor herrmann <gregoa@debian.org>, Ehud Meiri <ehudm@pulkes.org>, 644691-maintonly@bugs.debian.org
Subject: postr
Date: Mon, 10 Sep 2012 03:00:02 +0100
Hi Gregor,

Sorry that I didn't see your message before uploading..

You said:
=======
> Here's a patch that removes the python-nautilus dependency.

I guess the long description also needs an update, it says:

 It is integrated with Nautilus: you can either run postr when you are
 browsing your photos or just drag them from Nautilus to drop them in Postr.

Does the package make sense without nautilus?
(Just asking, I don't know more than what's in the package
description :))
=======

The removed dependency and files were for old versions of nautilus.
This way it still works with nautilus 3.
-- 
Martín Ferrari



Information stored :
Bug#644691; Package postr. (Mon, 10 Sep 2012 06:36:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and filed, but not forwarded. (Mon, 10 Sep 2012 06:36:15 GMT) Full text and rfc822 format available.

Message #46 received at 644691-quiet@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Martín Ferrari <martin.ferrari@gmail.com>
Cc: Ehud Meiri <ehudm@pulkes.org>, 644691-quiet@bugs.debian.org
Subject: Re: postr
Date: Mon, 10 Sep 2012 08:34:39 +0200
On Mon, 10 Sep 2012 03:00:02 +0100, Martín Ferrari wrote:

> Sorry that I didn't see your message before uploading..

No problem.

[..]
 
> The removed dependency and files were for old versions of nautilus.
> This way it still works with nautilus 3.

Perfect, thanks for educating me :)

Cheers,
gregor
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   BOFH excuse #263:  It's stuck in the Web. 



Reply sent to Ehud Meiri <ehudm@pulkes.org>:
You have taken responsibility. (Tue, 11 Sep 2012 18:51:08 GMT) Full text and rfc822 format available.

Notification sent to joss@debian.org:
Bug acknowledged by developer. (Tue, 11 Sep 2012 18:51:08 GMT) Full text and rfc822 format available.

Message #51 received at 644691-close@bugs.debian.org (full text, mbox):

From: Ehud Meiri <ehudm@pulkes.org>
To: 644691-close@bugs.debian.org
Subject: Bug#644691: fixed in postr 0.12.4-2.1
Date: Tue, 11 Sep 2012 18:49:25 +0000
Source: postr
Source-Version: 0.12.4-2.1

We believe that the bug you reported is fixed in the latest version of
postr, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 644691@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ehud Meiri <ehudm@pulkes.org> (supplier of updated postr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 08 Sep 2012 18:19:19 +0100
Source: postr
Binary: postr
Architecture: source all
Version: 0.12.4-2.1
Distribution: unstable
Urgency: low
Maintainer: David Paleino <dapal@debian.org>
Changed-By: Ehud Meiri <ehudm@pulkes.org>
Description: 
 postr      - upload photos to Flickr
Closes: 644691
Changes: 
 postr (0.12.4-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Removed python-nautilus extension and dependency. Closes: #644691
Checksums-Sha1: 
 776a80d0a270bc9d42f9bbad5f05dc9b35dfe521 1251 postr_0.12.4-2.1.dsc
 a0111636ded1c5574fa89d1b9b5fcb5d4dd386be 12159 postr_0.12.4-2.1.debian.tar.gz
 34ecc4d80b29568bf1d82c81d87e9d1fc59f1268 74646 postr_0.12.4-2.1_all.deb
Checksums-Sha256: 
 6d5ab0be9adb4c516ece6bb7423510d56d19e1a1d5828bb30ca48bf4d72a9686 1251 postr_0.12.4-2.1.dsc
 0ac5ed274a069da471ef72969b4a71c7fd28bebadda6323da19d8f397beec759 12159 postr_0.12.4-2.1.debian.tar.gz
 d56e3acfca041007ffa8c851183c2eb6b529b5d604bbd61dc5354d5a8da87a11 74646 postr_0.12.4-2.1_all.deb
Files: 
 af1084f9bc7f2d57f42cdfe4895d1819 1251 graphics optional postr_0.12.4-2.1.dsc
 a53510a2d97f4b276318929fed3eb1af 12159 graphics optional postr_0.12.4-2.1.debian.tar.gz
 d01fa9e4ebb8b2d4a88a5fcd61a75bf4 74646 graphics optional postr_0.12.4-2.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlBLjD8ACgkQaWQ2v1ddCnbeUACgkaCnCTkVpAEZ3ghYHf0P6wfC
9F0Ani2RhohCQh7VqYCArbHYTOaIEGIs
=pNSB
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 20 Oct 2012 07:29:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:55:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.